.hrt-timeout-warning-overlay::after {
  content: '';
  position: fixed;
  width: 100%;
  height: 100%;
  background: black;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0.8;
  pointer-events: none;
  touch-action: none;
}

.modal-dialog {
  display: none;
}

.modal-dialog--no-js-persistent {
  display: inline-block;
}

.js-enabled .modal-dialog--no-js-persistent {
  display: none;
}

.js-enabled .modal-dialog--no-js-persistent[open] {
  display: inline-block;
}

.js-enabled .modal-dialog--no-js-persistent .dialog-button {
  display: inline-block;
}

.js-enabled .modal-dialog[open] {
  display: inline-block;
}

.modal-dialog[open] {
  overflow-x: hidden;
  overflow-y: auto;
  max-height: 90vh;
  margin-bottom: 0;
  margin-top: 0;
  position: fixed;
  top: 50% !important;
  -webkit-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  transform: translate(0, -50%);
}

dialog {
  left: 0;
  right: 0;
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
  height: -moz-fit-content;
  height: -webkit-fit-content;
  height: fit-content;
  margin: auto;
  border: solid;
  padding: 1em;
  background: white;
  color: black;
  display: none;
  border: 5px solid black;
}

dialog[open] {
  display: block;
  box-sizing: border-box;
  margin: 0 auto;
  padding: 15px;
  width: 90%;
}

@media (min-width: 641px) {
  dialog[open] {
    padding: 24px;
    margin: 30px auto;
    max-width: 470px;
  }
}

@media (min-width: 990px) {
  dialog[open] {
    max-width: 660px;
  }
}